## com.bbn.openmap.layer.test
Class GeoIntersectionLayer.RemoveShapesActionListener

    java.lang.Object
      com.bbn.openmap.layer.test.GeoIntersectionLayer.RemoveShapesActionListener

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

Enclosing class:
  GeoIntersectionLayer

protected class GeoIntersectionLayer.RemoveShapesActionListener
extends java.lang.Object
implements java.awt.event.ActionListener

Field Summary
`protected OMGraphicList` `mainDataList`
`protected OMGraphicList` `toBeRemoved`

Constructor Summary
`GeoIntersectionLayer.RemoveShapesActionListener(OMGraphicList mdl, OMGraphicList tbr)`

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent ae)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mainDataList

    protected OMGraphicList mainDataList

### toBeRemoved

    protected OMGraphicList toBeRemoved

Constructor Detail

### GeoIntersectionLayer.RemoveShapesActionListener

    public GeoIntersectionLayer.RemoveShapesActionListener(OMGraphicList mdl,
                                                           OMGraphicList tbr)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ae)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details